Bug 223972

Summary: net/asterisk-chan_sccp: Update to 4.3.1
Product: Ports & Packages Reporter: Diederik de Groot <ddegroot>
Component: Individual Port(s)Assignee: Tobias Kortkamp <tobik>
Status: Closed FIXED    
Severity: Affects Only Me CC: ndowens
Priority: --- Keywords: needs-qa
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch for net/asterisk-chan_sccp port package
none
Updated patch file
none
Updated patch file
none
Updated patch file v3
none
Updated patch file v4 none

Description Diederik de Groot 2017-11-29 16:54:31 UTC
Created attachment 188404 [details]
Patch for net/asterisk-chan_sccp port package

The version is bumped to v4.3.1.
The chan-sccp project moved from sourceforge to github a while back.
Extra usage/conf example files are included in the built package.
Comment 1 Diederik de Groot 2017-12-13 01:11:15 UTC
Is there something i can do to expedite this patch ?
Comment 2 Diederik de Groot 2018-09-20 00:35:32 UTC
Created attachment 197252 [details]
Updated patch file
Comment 3 Diederik de Groot 2018-09-20 00:37:26 UTC
Created attachment 197253 [details]
Updated patch file

Changes requested by ndowens
Added support for asterisk 13 and 15
Comment 4 Nathan 2018-09-20 00:50:26 UTC
Comment on attachment 197253 [details]
Updated patch file

Builds fine on armv6 and no LLD6 issue on i386
Comment 5 Diederik de Groot 2018-09-20 00:53:23 UTC
Created attachment 197254 [details]
Updated patch file v3

Fixed sccp.conf.annotated instead of sccp.conf.*
Removed compiler from USES
Comment 6 Tobias Kortkamp freebsd_committer 2019-02-07 18:46:52 UTC
Comment on attachment 197254 [details]
Updated patch file v3

The port no longer seems to package anything.  There is no pkg-plist file and
PLIST_FILES is no longer there.  Is something missing from the patch?
Comment 7 Tobias Kortkamp freebsd_committer 2019-02-07 18:54:42 UTC
It also seems to fail configure:

===>  Configuring for asterisk-chan_sccp-4.3.1
autoconf/extra.m4:241: warning: macro 'AM_ICONV' not found in library
libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, 'autoconf'.
libtoolize: copying file 'autoconf/ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'autoconf'.
libtoolize: copying file 'autoconf/libtool.m4'
libtoolize: copying file 'autoconf/ltoptions.m4'
libtoolize: copying file 'autoconf/ltsugar.m4'
libtoolize: copying file 'autoconf/ltversion.m4'
libtoolize: copying file 'autoconf/lt~obsolete.m4'
libtoolize: Remember to add 'LT_INIT' to configure.ac.
autoconf/extra.m4:241: warning: macro 'AM_ICONV' not found in library
configure:22396: error: possibly undefined macro: AM_ICONV
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
autoreconf-2.69: /usr/local/bin/autoconf-2.69 failed with exit status: 1
*** Error code 1
Comment 8 Diederik de Groot 2019-02-07 19:49:25 UTC
@Tobias Kortkamp You need the iconv dependency (which is listed as dependency) installed to be able to build correctly. The iconv dependency should also include the AM_ICONV m4 macro AFAIK. I will have to fire up a FreeBSD machine to check. I will try to do this tomorrow. I guess the patch would have to be updated anyway, to include new changes and building against asterisk-16 (instead of 15).

General Comment: It's a bit annoying to have to wait for over a year to get any kind of response. Zero progress so far.
Comment 9 Diederik de Groot 2019-02-19 21:17:16 UTC
Created attachment 202170 [details]
Updated patch file v4

Fix issue raised by 'Tobias Kortkamp'
Add support for asterisk-16
Update chan-sccp version
Comment 10 Diederik de Groot 2019-02-19 21:18:36 UTC
(In reply to Tobias Kortkamp from comment #7)
Hi Tobias,
I upgraded my freebsd version and fixed the previous chan-sccp patch. If you like you can give the new version a try, please.
Comment 11 Tobias Kortkamp freebsd_committer 2019-02-20 08:32:41 UTC
The AM_ICONV error still happened.  I've removed USES=autoreconf
as there appears to be a usable and pregenerated configure script
in the tarball already and it built fine with it.

I've also installed sccp.conf with @sample as it appears to be
something that is supposed to be user editable.
Comment 12 commit-hook freebsd_committer 2019-02-20 08:33:15 UTC
A commit references this bug:

Author: tobik
Date: Wed Feb 20 08:32:35 UTC 2019
New revision: 493415
URL: https://svnweb.freebsd.org/changeset/ports/493415

Log:
  net/asterisk-chan_sccp: Update to 4.3.2

  - Make conference and video support optional (enabled by default)
  - Add options to select different Asterisk versions
  - Build for net/asterisk16 by default

  While here

  - Install sccp.conf with @sample
  - Run it through portfmt once, fix indentation
  - Reorder variables according to chapter 15 of the PHB
  - Pet portlint

  PR:		223972
  Submitted by:	maintainer

Changes:
  head/net/asterisk-chan_sccp/Makefile
  head/net/asterisk-chan_sccp/distinfo
Comment 13 Diederik de Groot 2019-02-20 13:36:06 UTC
(In reply to Tobias Kortkamp from comment #11)

Thanks a lot for reviewing, fixing and committing the patch !!

Still a little baffled why running autoreconf would cause issues regarding AM_ICONV, but skipping it should be ok. I always make sure there is a valid and up to date configure script present in the sources (some GNU users don't understand running autogen.sh :-)).
Comment 14 Tobias Kortkamp freebsd_committer 2019-02-20 18:57:59 UTC
(In reply to Diederik de Groot from comment #13)
> (In reply to Tobias Kortkamp from comment #11)
> 
> Thanks a lot for reviewing, fixing and committing the patch !!

You are welcome.

> Still a little baffled why running autoreconf would cause issues regarding
> AM_ICONV, but skipping it should be ok. I always make sure there is a valid
> and up to date configure script present in the sources (some GNU users don't
> understand running autogen.sh :-)).

I actually just fixed a similar problem in grub2 where I had to add
USES=pkgconfig to the build.

The error seems to come from /usr/local/share/aclocal/iconv.m4 being
unavailable in the build environment normally and autoreconf needing
it to generate configure.  (grub2 was missing pkg.m4.)

iconv.m4 is provided by USES=gettext-tools which I can add along
side with USES=autoreconf if you prefer.  Though it doesn't appear
to be needed at the moment.  Either way at least we know what the
problem was!
Comment 15 Diederik de Groot 2019-02-20 20:52:56 UTC
(In reply to Tobias Kortkamp from comment #14)
Thanks for the detailed information and your help fixing the issue(s). The chan-sccp module does depend on iconv to run correctly. It might be wise to add the gettext-tools dependency (To prevent future issues). So if you wouldn't mind adding it, that would be great. I thought setting the ICONV dependency would take care of it (apparently not).
Comment 16 commit-hook freebsd_committer 2019-02-20 21:06:22 UTC
A commit references this bug:

Author: tobik
Date: Wed Feb 20 21:05:56 UTC 2019
New revision: 493462
URL: https://svnweb.freebsd.org/changeset/ports/493462

Log:
  net/asterisk-chan_sccp: Make sure to regenerate configure during the build

  To prevent future issues during upgrades and by preference of the
  maintainer.  For this to work iconv.m4 needs to be available so add
  a gettext-tools build dependency too.

  PR:		223972

Changes:
  head/net/asterisk-chan_sccp/Makefile
Comment 17 Diederik de Groot 2019-02-20 21:40:41 UTC
(In reply to commit-hook from comment #16)
Dank je wel (Thanks)!